MultiwordShellCommand (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.shell.MultiwordShellCommand class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util.shell
Class MultiwordShellCommand

    java.lang.Object
      org.hyperic.util.shell.ShellCommandBase
          org.hyperic.util.shell.MultiwordShellCommand

All Implemented Interfaces:
  ShellCommandHandler

    public class MultiwordShellCommand

extends ShellCommandBase

Constructor Summary
`MultiwordShellCommand()`

Method Summary
`java.util.Set` | `getHandlerNames()`
`ShellCommandHandler` | `getSubHandler(java.lang.String subName)`
`java.lang.String` | `getSyntaxArgs()`
`java.lang.String` | `getUsageHelp(java.lang.String[] args)` Get some info on how to invoke this command.
`void` | `processCommand(java.lang.String[] args)` Handle a command.
`void` | `registerSubHandler(java.lang.String subName, ShellCommandHandler handler)`

Methods inherited from class org.hyperic.util.shell.ShellCommandBase
`getCommandName, getErrStream, getMessages, getMessages, getOutStream, getShell, getSyntax, getUsageShort, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiwordShellCommand

    public MultiwordShellCommand()

Method Detail

### getSubHandler

    public ShellCommandHandler getSubHandler(java.lang.String subName)

### getHandlerNames

    public java.util.Set getHandlerNames()

### registerSubHandler

    public void registerSubHandler(java.lang.String subName,
                                   ShellCommandHandler handler)
                            throws ShellCommandInitException

  Throws:
    `ShellCommandInitException`

### processCommand

    public void processCommand(java.lang.String[] args)
                        throws ShellCommandUsageException,
                               ShellCommandExecException

  Description copied from interface: `ShellCommandHandler`
  Handle a command.

  Specified by:
    `processCommand` in interface `ShellCommandHandler`
  Overrides:
    `processCommand` in class `ShellCommandBase`
  Parameters:
    `args` - The args to the command.
  Throws:
    `ShellCommandUsageException` - If the args are malformed.
    `ShellCommandExecException` - If an error occurred executing the command.

### getSyntaxArgs

    public java.lang.String getSyntaxArgs()

  Overrides:
    `getSyntaxArgs` in class `ShellCommandBase`

### getUsageHelp

    public java.lang.String getUsageHelp(java.lang.String[] args)

  Description copied from interface: `ShellCommandHandler`
  Get some info on how to invoke this command.

  Specified by:
    `getUsageHelp` in interface `ShellCommandHandler`
  Overrides:
    `getUsageHelp` in class `ShellCommandBase`
  Returns:
    Some usage information on how this command is expected to be invoked.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.